Main Page Widgets Namespaces Book

# Atk::Image Class Reference

Inheritance diagram for Atk::Image:

[legend]
List of all members.

## Public Member Functions
virtual | ~Image ()
AtkImage* | gobj ()
| Provides access to the underlying C GObject.
const AtkImage* | gobj () const
| Provides access to the underlying C GObject.
bool | set_image_description (const Glib::ustring& description)
| Sets the textual description for this image.
Glib::ustring | get_image_description () const
| Get a textual description of this image.
void | get_image_size (int& width, int& height) const
| Get the width and height in pixels for the specified image.
void | get_image_position (int& x, int& y, CoordType coord_type) const
| Gets the position of the image in the form of a point specifying the images top-left corner.
## Static Public Member Functions
void | add_interface (GType gtype_implementer)
## Protected Member Functions
virtual bool | set_image_description_vfunc (const Glib::ustring& description)
virtual const char* | get_image_description_vfunc ()
virtual void | get_image_position_vfunc (int& x, int& y, CoordType coord_type)
virtual void | get_image_size_vfunc (int& width, int& height)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Atk::Image> | wrap (AtkImage* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Atk::Image::~Image | ( |  | ) | `[virtual]`

## Member Function Documentation

void Atk::Image::add_interface | ( | GType | gtype_implementer | ) | `[static]`

Glib::ustring Atk::Image::get_image_description | ( |  | ) | const

| Get a textual description of this image. Returns: A string representing the image description.

virtual const char* Atk::Image::get_image_description_vfunc | ( |  | ) | `[protected, virtual]`

void Atk::Image::get_image_position | ( | int& | x,
|  | int& | y,
|  | CoordType | coord_type
| ) | const

  | Gets the position of the image in the form of a point specifying the images top-left corner. The values of x and y are returned as -1 if the values cannot be obtained. Parameters:
  x | Address of `int` to put x coordinate position.
  y | Address of `int` to put y coordinate position.
  coord_type | Specifies whether the coordinates are relative to the screen or to the components top level window.

virtual void Atk::Image::get_image_position_vfunc | ( | int& | x,
|  | int& | y,
|  | CoordType | coord_type
| ) | `[protected, virtual]`

void Atk::Image::get_image_size | ( | int& | width,
|  | int& | height
| ) | const

  | Get the width and height in pixels for the specified image. The values of width and height are returned as -1 if the values cannot be obtained. Parameters:
  width | Filled with the image width.
  height | Filled with the image height.

virtual void Atk::Image::get_image_size_vfunc | ( | int& | width,
|  | int& | height
| ) | `[protected, virtual]`

const AtkImage* Atk::Image::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::Interface. Reimplemented in Atk::NoOpObject.

AtkImage* Atk::Image::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::Interface. Reimplemented in Atk::NoOpObject.

bool Atk::Image::set_image_description | ( | const Glib::ustring& | description | ) |

  | Sets the textual description for this image. Parameters:
  description | A string description to set for image .
Returns: Boolean `true`, or `false` if operation could not be completed.

virtual bool Atk::Image::set_image_description_vfunc | ( | const Glib::ustring& | description | ) | `[protected, virtual]`

## Friends And Related Function Documentation

Glib::RefPtr<Atk::Image> wrap | ( | AtkImage* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- atk/atkmm/image.h